OSTREE SHOW(1)

NAME
ostree-show - Output a metadata object

SYNOPSIS

ostree show [OPTIONS...] {OBJECT}

DESCRIPTION

Given an object, shows the metadata for that object. For a particular revision, it will show the data for the most recent commit to that revision.

OPTIONS

--print-related
    Show the "related" commits.

--print-variant-type="TYPE"
    Memory map OBJECT (in this case a filename) to the GVariant type string.

--list-metadata-keys
    List the available metadata keys.

--print-metadata-key="KEY"
    Print string value of metadata key.

--list-detached-metadata-keys
    List the available detached metadata keys.

--print-detached-metadata-key="KEY"
    Print string value of detached metadata key.

--print-sizes
    Show the commit size metadata. This in only supported for commits that contain ostree.sizes metadata. This can be included when creating commits with ostree commit --generate-sizes.

--raw
    Show raw variant data.

--gpg-homedir="HOMEDIR"
    GPG home directory to use when looking for keyrings (if have GPGME - GNU Privacy Guard Made Easy).

EXAMPLE

$ ostree show my-branch

            commit 67e382b11d213a402a5313e61cbc69dfd5ab93cb07
            Date:  2014-06-12 13:42:54 +0000